; compiler          : jal 0.4.60
; date              : 12-Sep-2007 18:16:55
; main source       : ej1
; command line      : -sjal\lib ej1.jal 
; target  chip      : 16f84
;         cpu       : pic 14
;         clock     : 4000000
; input   files     : 12
;         lines     : 2279
;         chars     : 58519
; compilation nodes : 12667
;             stack : 18Kb
;              heap : 3843Kb
;           seconds : 0.611 (3729 lines/second)
; output       code :   54
;              page :    0 (0.0%)
;              bank :    0 (0.0%)
;         page+bank :    0 (0.0%)
;              file :   11
;              stack:    1 (1,0,0)

 errorlevel -306
 list p=PIC16f84

_CP_OFF    equ H'3FF0' ;code protect on
_CP_ON     equ H'0000' ;code protect off
_PWRTE_ON  equ H'0000' ;Power on timer on
_PWRTE_OFF equ H'0008' ;Power on timer off
_WDT_OFF   equ H'0000' ;watch dog timer off
_WDT_ON    equ H'0004' ;watch dog timer on
_RC_OSC    equ H'0003' ;RC oscillator
_HS_OSC    equ H'0002' ;HS crystal oscillator
_XT_OSC    equ H'0001' ;XT crystal oscillator
_LP_OSC    equ H'0000' ;LP crystal oscillator

 __CONFIG _CP_OFF + _PWRTE_ON + _WDT_OFF + _XT_OSC 

 ORG 0000
  goto    __main
 ORG 0004
 ORG 0004
__interrupt: ; 0004
__main: ; 0004
; var H'00C:000'  transfer_bit
; var H'00C:000'  transfer_byte

;; 043 : var volatile byte port_b       at  6
; var H'006:000' port_b

;; 107 : var volatile bit  pin_b7 at port_b : 7
; var H'006:007' pin_b7

;; 294 : var byte trisa
; var H'00D:000' trisa

;; 295 : var byte trisb
; var H'00E:000' trisb

;; 302 : trisa = all_input
  movlw   H'FF'
  movwf   H'00D'

;; 304 :    trisb = all_input
  movlw   H'FF'
  movwf   H'00E'

;; 611 : var byte _port_b_buffer
; var H'00F:000' _port_b_buffer

;; 008 : pin_b7_direction = output
  bcf     H'00E',7
  call    _3797__vector

;; 011 : var bit led is pin_b7
; var H'006:007' led

;; 012 : led = high
  bsf     H'00F',7
  call    _6669__vector

;; 015 : forever loop
w_12442_ag: ; 000C

;; 017 : led = ! led
  bcf     H'00F',7
  btfss   H'006',7
ass_12501_t: ; 000E
  bsf     H'00F',7
ass_12501_f: ; 000F
  call    _6669__vector

;; 019 : delay_1ms(250)
  movlw   H'FA'
  call    _10186__vector
  goto    w_12442_ag

;; 003 :   idle_loop: page goto idle_loop
as_12445_idle_loop: ; 0013
  goto    as_12445_idle_loop
_10186__vector: ; 0014

;; 435 : procedure delay_1ms( byte in x = 1 ) is
; var H'010:000' x
p_10186_delay_1ms: ; 0014
  movwf   H'010'

;; 436 :    _delay_100us( x, 10, 1 )
  movf    H'010',w
  movwf   H'011'
  movlw   H'0A'
  movwf   H'012'
  movlw   H'01'
  goto    _9650__vector
e_10186_delay_1ms: ; 001B
_9650__vector: ; 001B

;; 283 : procedure _delay_100us( byte in x, byte in y, byte in z ) is
; var H'011:000' x
; var H'012:000' y
; var H'013:000' z
p_9650__delay_100us: ; 001B
  movwf   H'013'

;; 337 :       var byte minus_one = -1
; var H'014:000' minus_one
  movlw   H'FFFFFFFF'
  movwf   H'014'

;; 339 :       var byte xx, yy
; var H'015:000' xx
; var H'016:000' yy

;; 343 :          local loop_x, loop_y, loop_z, loop_w
; const H'023' loop_w

;; 346 :       loop_z:
as_9860_loop_z: ; 001E

;; 349 :          movfw y
  movf    H'012',w

;; 350 :          movwf yy
  movwf   H'016'

;; 351 :       loop_y:
as_9857_loop_y: ; 0020

;; 354 :          movfw x
  movf    H'011',w

;; 355 :          movwf xx
  movwf   H'015'

;; 356 :       loop_x:
as_9854_loop_x: ; 0022

;; 358 :          movlw inner_iterations
  movlw   H'17'

;; 360 :       loop_w:
as_9863_loop_w: ; 0023

;; 361 :          addwf minus_one, w
  addwf   H'014',w

;; 362 :          skpnc
  skpnc   

;; 363 :             goto loop_w
  goto    as_9863_loop_w

;; 366 :          decfsz xx, f
  decfsz  H'015',f

;; 367 :          goto loop_x
  goto    as_9854_loop_x

;; 370 :          decfsz yy, f
  decfsz  H'016',f

;; 371 :          goto loop_y
  goto    as_9857_loop_y

;; 374 :          decfsz z, f
  decfsz  H'013',f

;; 375 :          goto loop_z
  goto    as_9860_loop_z
e_9650__delay_100us: ; 002C
  return  

;; 766 : procedure pin_b7'put( bit in x at _port_b_buffer : 7 ) is
p_6669__pin_b7__put_t: ; 002D
_6669__vector: ; 002D
; var H'00F:007' x
p_6669_put: ; 002D

;; 767 :    _port_b_flush
  goto    _5330__vector
e_6669_put: ; 002E
_5330__vector: ; 002E
p_5330__port_b_flush: ; 002E

;; 620 :    var volatile byte port_b_ at 6 = _port_b_buffer
; var H'006:000' port_b_
  movf    H'00F',w
  movwf   H'006'
e_5330__port_b_flush: ; 0030
  return  

;; 440 : procedure pin_b7_direction'put( bit in d at trisb : 7 ) is
p_3797__pin_b7_direction__put_t: ; 0031
_3797__vector: ; 0031
; var H'00E:007' d
p_3797_put: ; 0031

;; 441 :    _trisb_flush
  goto    _2933__vector
e_3797_put: ; 0032
_2933__vector: ; 0032
p_2933__trisb_flush: ; 0032

;; 323 :       bank movfw trisb
  movf    H'00E',w

;; 324 :            tris  6
  tris    H'006'
e_2933__trisb_flush: ; 0034
  return  

 END

; ********** variable mapping
; 06:0 : ;
;   port_b_                        * 0620:22 jal\lib\jpic.jal 
;   port_b                         * 0043:19 jal\lib\jpic.jal 
; 06:7 : ;
;   led                            * 0011:09 ej1.jal 
;   pin_b7                         * 0107:19 jal\lib\jpic.jal 
; 0C:0 : ;
;    transfer_byte                   
;    transfer_bit                    
; 0D:0 : ;
;   trisa                            0294:10 jal\lib\jpic.jal 
; 0E:0 : ;
;   trisb                            0295:10 jal\lib\jpic.jal 
; 0E:7 : ;
;   d                              * 0440:33 jal\lib\jpic.jal 
; 0F:0 : ;
;   _port_b_buffer                   0611:10 jal\lib\jpic.jal 
; 0F:7 : ;
;   x                              * 0766:23 jal\lib\jpic.jal 
; 10:0 : ;
;   x                                0435:22 jal\lib\jdelay.jal 
; 11:0 : ;
;   x                                0283:25 jal\lib\jdelay.jal 
; 12:0 : ;
;   y                                0283:36 jal\lib\jdelay.jal 
; 13:0 : ;
;   z                                0283:47 jal\lib\jdelay.jal 
; 14:0 : ;
;   minus_one                        0337:16 jal\lib\jdelay.jal 
; 15:0 : ;
;   xx                               0339:16 jal\lib\jdelay.jal 
; 16:0 : ;
;   yy                               0339:20 jal\lib\jdelay.jal 

